# opcache_get_configuration

(PHP 5 >= 5.5.0, PHP 7, PECL ZendOpcache > 7.0.2)

opcache_get_configuration — Get configuration information about the cache

### Description

opcache_get_configuration ( void ) : array

This function returns configuration information about the cache instance

### Return Values

Returns an array of information, including ini, blacklist and version

### Errors/Exceptions

If opcache.restrict_api is in use and the current path is in violation of the rule, an E_WARNING will be raised; no status information will be returned.

### See Also

- opcache_get_status() - Get status information about the cache